[Testing Update] 2018-05-12 - Muffin, Virtualbox, Firefox Development, Deepin

update
testing

#1

Hi community,

welcome to another testing update of Manjaro. This time our most effort went into updating our toolchain with GCC v8.1.0. This needed updates or recompiling of all our kernels.

Other than that, we had the following updates:

  • Virtualbox is now at v5.2.12
  • Small fixes to Cinnamon got added as well
  • Last, we updated Firefox with the latest development changes

Our effort and all the needed information about the new security risk can be found here.

So please report back and give us feedback for given changes made to our repositories. Users of our 32-bit Distro should read this.


Current supported Kernels

  • linux316 3.16.56
  • linux318 3.18.108 [EOL]
  • linux41 4.1.51
  • linux44 4.4.131
  • linux49 4.9.99
  • linux414 4.14.40
  • linux415 4.15.18 [EOL]
  • linux416 4.16.8
  • linux417 4.17-rc4
  • linux414-rt 4.14.39_rt29
  • linux416-rt 4.16.7_rt1

Package Updates (Sat May 12 07:12:15 CEST 2018)

  • testing community x86_64: 203 new and 200 removed package(s)
  • testing extra x86_64: 30 new and 29 removed package(s)
  • testing multilib x86_64: 1 new and 1 removed package(s)
:: Different overlay package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-11           2018-05-12
-------------------------------------------------------------------------------
      deepin-desktop-schemas-manjaro             3.2.10-2             3.2.11-1
                    i3status-manjaro               2.11-5               2.12-1
linux414-rt-virtualbox-guest-modules             5.2.10-3             5.2.12-1
 linux414-rt-virtualbox-host-modules             5.2.10-3             5.2.12-1
linux416-rt-virtualbox-guest-modules             5.2.10-3             5.2.12-1
 linux416-rt-virtualbox-host-modules             5.2.10-3             5.2.12-1
                              muffin                    -            3.8.1-1.1


:: Different sync package(s) in repository community x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-11           2018-05-12
-------------------------------------------------------------------------------
                              babeld              1.8.1-1              1.8.1-2
                             blender    17:2.79.b-7 17:2.79.b.git2.0385b33f-12
                           bumblebee             3.2.1-16             3.2.1-17
                               byacc           20170709-1           20180510-1
                                c2hs            0.28.3-21            0.28.3-22
                       cabal-install           2.0.0.1-52           2.0.0.1-53
                               cgrep             6.6.25-3             6.6.25-4
                             cryptol             2.5.0-53             2.5.0-54
                               darcs             2.14.0-9            2.14.0-11
              deepin-desktop-schemas             3.2.10-1             3.2.11-1
                     deepin-launcher            4.3.2.2-1            4.3.2.3-1
           firefox-developer-edition             61.0b3-1             61.0b4-1
  firefox-developer-edition-i18n-ach             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-af             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-an             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ar             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-as             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-ast             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-az             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-be             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-bg             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-bn-bd             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-bn-in             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-br             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-bs             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ca             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-cak             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-cs             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-cy             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-da             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-de             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-dsb             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-el             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-en-gb             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-en-us             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-en-za             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-eo             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-es-ar             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-es-cl             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-es-es             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-es-mx             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-et             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-eu             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-fa             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ff             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-fi             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-fr             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-fy-nl             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-ga-ie             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-gd             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-gl             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-gn             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-gu-in             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-he             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-hi-in             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-hr             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-hsb             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-hu             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-hy-am             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ia             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-id             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-is             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-it             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ja             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ka             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-kab             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-kk             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-km             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-kn             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ko             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-lij             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-lt             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-lv             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-mai             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-mk             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ml             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-mr             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ms             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-my             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-nb-no             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-ne-np             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-nl             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-nn-no             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-or             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-pa-in             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-pl             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-pt-br             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-pt-pt             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-rm             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ro             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ru             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-si             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-sk             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-sl             61.0b2-1             61.0b4-1
  firefox-developer-edition-i18n-son             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-sq             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-sr             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-sv-se             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ta             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-te             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-th             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-tr             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-uk             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-ur             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-uz             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-vi             61.0b2-1             61.0b4-1
   firefox-developer-edition-i18n-xh             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-zh-cn             61.0b2-1             61.0b4-1
firefox-developer-edition-i18n-zh-tw             61.0b2-1             61.0b4-1
     firefox-extension-privacybadger          2018.4.23-2          2018.5.10-1
                               fstrm              0.3.2-1              0.4.0-1
                              gaupol              1.3.1-2                1.4-1
                              getdns              1.4.1-1              1.4.2-1
                          gimp-ufraw              0.22-13                    -
                           git-annex         6.20180509-2         6.20180509-4
                              gitlab             10.7.1-1             10.7.3-1
                haskell-authenticate             1.3.4-87             1.3.4-88
                         haskell-aws              0.19-58              0.19-59
                   haskell-criterion           1.4.0.0-24           1.4.0.0-25
                         haskell-dns             3.0.2-17             3.0.2-18
                      haskell-gnuidn             0.2.2-29             0.2.2-30
                      haskell-hakyll          4.11.0.0-75           4.12.2.0-4
                 haskell-hjsonschema             1.7.2-68             1.7.2-69
                       haskell-hpack            0.27.0-41            0.27.0-42
                        haskell-http         4000.3.11-15         4000.3.11-16
                haskell-http-conduit             2.2.4-84             2.2.4-85
                       haskell-http2             1.6.3-21             1.6.3-22
                        haskell-jose           0.6.0.3-58            0.7.0.0-1
                   haskell-js-jquery             3.3.1-46             3.3.1-47
       haskell-network-protocol-xmpp             0.4.8-35             0.4.8-36
                    haskell-psqueues            0.2.6.0-1            0.2.7.0-1
                         haskell-sbv                7.7-2                7.7-3
              haskell-servant-server              0.12-97              0.12-98
                       haskell-shake             0.16.4-7             0.16.4-8
                      haskell-shelly              1.7.2-5              1.8.0-1
                 haskell-skylighting               0.6-16              0.7.1-1
         haskell-tls-session-manager           0.0.0.2-36           0.0.0.2-37
              haskell-wai-app-static           3.1.6.2-16           3.1.6.2-17
          haskell-wai-handler-launch           3.0.2.3-56           3.0.2.3-57
                        haskell-warp             3.2.22-1             3.2.22-2
                    haskell-warp-tls            3.2.4.3-5            3.2.4.3-6
                        haskell-yaml             0.8.29-3             0.8.30-1
                       haskell-yesod            1.4.5-255            1.4.5-257
                  haskell-yesod-auth           1.4.21-147           1.4.21-148
                  haskell-yesod-core          1.4.37.3-63          1.4.37.3-64
               haskell-yesod-default            1.2.0-298            1.2.0-299
                  haskell-yesod-form           1.4.16-149           1.4.16-150
            haskell-yesod-persistent            1.4.3-124            1.4.3-125
                haskell-yesod-static          1.5.3.1-135          1.5.3.1-136
                  haskell-yesod-test          1.5.9.1-110          1.5.9.1-111
                             hindent             5.2.5-23             5.2.5-24
                         hledger-api               1.9-14               1.9-15
                         hledger-web             1.9.1-10             1.9.1-12
                               hlint              2.1.5-1              2.1.5-2
                              hoogle            5.0.16-63            5.0.16-64
                      hopenpgp-tools           0.19.5-120           0.19.5-121
                            i3status               2.11-3               2.12-1
                           jpegoptim              1.4.5-1              1.4.6-1
                                maim             5.4.68-3                5.5-1
                          metasploit            4.16.55-1            4.16.56-1
                             opendht            1:1.7.1-1            1:1.7.2-1
                             openvdb              5.0.0-1              5.1.0-1
                    otf-font-awesome             5.0.12-1             5.0.13-1
                              pandoc             2.1.3-25                2.2-4
                     pandoc-citeproc          0.13.0.1-67           0.14.3.1-4
                     pandoc-crossref            0.3.1.0-6            0.3.2.0-4
                           postgrest          0.4.4.0-122          0.4.4.0-124
                     python-autobahn             18.4.1-1             18.5.1-1
              python-mysql-connector              2.1.7-1             8.0.11-1
                       python-pipenv            11.10.3-1            11.10.4-1
                    python-pyftpdlib              1.5.3-1              1.5.4-1
                python-requests-mock              1.4.0-1              1.5.0-1
                    python2-autobahn             18.4.1-1             18.5.1-1
             python2-mysql-connector              2.1.7-1             8.0.11-1
                      python2-pipenv            11.10.3-1            11.10.4-1
                   python2-pyftpdlib              1.5.3-1              1.5.4-1
               python2-requests-mock              1.4.0-1              1.5.0-1
                              reaver              1.6.4-1              1.6.5-1
                            sagemath                8.2-2                8.2-3
                    sagemath-jupyter                8.2-2                8.2-3
                               stack             1.6.5-81             1.6.5-83
                              stubby              0.2.2-2              0.2.3-1
                     stylish-haskell           0.9.0.2-22           0.9.0.2-23
                      tamarin-prover              1.4.0-4              1.4.0-5
                    ttf-font-awesome             5.0.12-1             5.0.13-1
                          virtualbox             5.2.10-1             5.2.12-1
                  virtualbox-ext-vnc             5.2.10-1             5.2.12-1
               virtualbox-guest-dkms             5.2.10-1             5.2.12-1
                virtualbox-guest-iso             5.2.10-1             5.2.12-1
              virtualbox-guest-utils             5.2.10-1             5.2.12-1
          virtualbox-guest-utils-nox             5.2.10-1             5.2.12-1
                virtualbox-host-dkms             5.2.10-1             5.2.12-1
                      virtualbox-sdk             5.2.10-1             5.2.12-1
                              xmobar              0.26-10              0.26-11
                         gimp-nufraw                    -               0.42-1
            haskell-skylighting-core                    -              0.7.1-1
                      python-jeepney                    -              0.3.1-1


:: Different overlay package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-11           2018-05-12
-------------------------------------------------------------------------------
   linux316-virtualbox-guest-modules             5.2.10-2             5.2.12-1
    linux316-virtualbox-host-modules             5.2.10-2             5.2.12-1
   linux318-virtualbox-guest-modules             5.2.10-4             5.2.12-1
    linux318-virtualbox-host-modules             5.2.10-4             5.2.12-1
    linux41-virtualbox-guest-modules             5.2.10-2             5.2.12-1
     linux41-virtualbox-host-modules             5.2.10-2             5.2.12-1
   linux414-virtualbox-guest-modules             5.2.10-6             5.2.12-1
    linux414-virtualbox-host-modules             5.2.10-6             5.2.12-1
   linux415-virtualbox-guest-modules             5.2.10-2             5.2.12-1
    linux415-virtualbox-host-modules             5.2.10-2             5.2.12-1
   linux416-virtualbox-guest-modules             5.2.10-7             5.2.12-1
    linux416-virtualbox-host-modules             5.2.10-7             5.2.12-1
   linux417-virtualbox-guest-modules          5.2.10-0.14           5.2.12-0.1
    linux417-virtualbox-host-modules          5.2.10-0.14           5.2.12-0.1
    linux44-virtualbox-guest-modules             5.2.10-4             5.2.12-1
     linux44-virtualbox-host-modules             5.2.10-4             5.2.12-1
    linux49-virtualbox-guest-modules             5.2.10-5             5.2.12-1
     linux49-virtualbox-host-modules             5.2.10-5             5.2.12-1


:: Different sync package(s) in repository extra x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-11           2018-05-12
-------------------------------------------------------------------------------
                                babl             0.1.46-1             0.1.46-2
                                gvim           8.0.1806-1           8.0.1815-1
                                kile             2.9.91-2             2.9.92-1
                               libnm             1.10.6-3             1.10.8-1
                          libnm-glib             1.10.6-3             1.10.8-1
                      networkmanager             1.10.6-3             1.10.8-1
                          postgresql               10.4-1               10.4-2
                     postgresql-docs               10.4-1               10.4-2
                     postgresql-libs               10.4-1               10.4-2
                                 vim           8.0.1806-1           8.0.1815-1
                         vim-runtime           8.0.1806-1           8.0.1815-1
                               ndctl                    -               60.1-1


:: Different sync package(s) in repository multilib x86_64

-------------------------------------------------------------------------------
                             PACKAGE           2018-05-11           2018-05-12
-------------------------------------------------------------------------------
                                wine                3.7-1                3.8-1

  • No issue, everything went smoothly
  • Yes there was an issue. I was able to resolve it myself.(Please post your solution)
  • Yes i am currently experiencing an issue due to the update. (Please post about it)

0 voters

Check if your mirror has already synced:


#2

This is a wiki post; please edit as necessary.



#3

Update came from future ::smiley: update for 13 came on 12 th :smiley:


#4


#5

Screenshot_20180512_074041


#6

Arch
https://git.archlinux.org/svntogit/community.git/commit/trunk?h=packages/bumblebee&id=4889007105abb8287d67fd5bfe987b54cf30fa20

Manjaro


#7

So, you back to Arch version of bumblebee?? :>


#8

Small update here, just babl, postgresql-libs, networkmanager, libnm, and libnm-glib.


#9

NO, as I’ve to see what the difference is on our end. Still had no time to do it.


#10

This is DIFF:
a - Bumblebee from arch AFTER merging patches from Abuzer Rafey (not used in bumblebee develop branch now)
b - Bumble fork from me with kmod patchset (and other fixes from develop branch directly). KMOD is valid official way in develop branch. Not Abuzer Rafey patches. Thats WHY we need fork.


#11

Only updates here: NetworkManager. Firefox? Using nightly AUR packages. So far, so good :slight_smile:


#12

34 updates, all went smoothly, thanks Manjaro team.


#13

Since the last update my Latte Dock freezes all the time. Before I had never issues with it. And I am not able to start Virtualbox. If I try to start it from Latte Dock (before if freezes of course), just nothing happens, same if I try to open it from the menu. If I start VB from CLI, I get an segmentation fault.

Had no time yet to investigate on both issues. Will do that most probably tomorrow.


#14

On my main computer

A. New issues

Nothing new to report so far.

B. Still present

Strange behaviour with VLC (package : vlc 3.0.1-2) I noticed yesterday on Cinnamon, where the panel shows up when I hover the timeline with my mouse while watching a video in fullscreen mode. I got a new muffin package (version 3.8.1-1.1), but unfortunately, it didn’t improve the situation.

VLC on Cinnamon Testing

However, someone pointed out a similar behaviour on XFCE than the one I currently see on Cinnamon, where the panel also shows up when hovering the timeline with the mouse, which is something I do confirm on XFCE Stable. (Package : vlc 3.0.1-2 on Stable too.)

VLC on XFCE Stable

I also check how VLC behave on MATE, KDE and Budgie.

On MATE, when I hover the timeline with the mouse, the panel doesn’t show up over the video while in fullscreen mode, but the little bubble that says the time the cursor is pointing to never appears at all. This is not as inconvenient as having the panel over the video, but it’s still not perfect. This behaviour is similar to what I had on Cinnamon before updating muffin package from 3.8.0-1 to 3.8.1-1 yesterday.

VLC on MATE Stable

On KDE and Budgie, it’s perfect: the panel doesn’t shows up over the video when I hover the timeline AND the little bubble indicating the time pointed by the cursor shows up.

VLC on KDE Stable

VLC on Budgie Stable

Therefore, it seems that the timeline in VLC is programmed in a way that makes VLC works improperly in some graphical environments, with different unwanted behaviour depending on which graphical environment VLC is used on. Although it isn’t an extremely major problem (it doesn’t make VLC crash or something), it’s just annoying.

Manjaro Cinnamon
Kernel 4.14 (using kernel-alive)
Did the update with Pamac

Intel i5-6400
Nvidia Geforce GTX 970

Complete Pamac details
Synchronizing package databases...
Refreshing DEB_Arch_Extra.db...
Refreshing DEB_Arch_Extra.files...
Starting full system upgrade...

Resolving dependencies...
Checking inter-conflicts...
Downloading...
Downloading babl-0.1.46-2-x86_64.pkg.tar.xz...
Downloading libnm-1.10.8-1-x86_64.pkg.tar.xz...
Downloading libnm-glib-1.10.8-1-x86_64.pkg.tar.xz...
Downloading linux414-virtualbox-host-modules-5.2.12-1-x86_64.pkg.tar.xz...
Downloading networkmanager-1.10.8-1-x86_64.pkg.tar.xz...
Downloading muffin-3.8.1-1.1-x86_64.pkg.tar.xz...
Downloading virtualbox-5.2.12-1-x86_64.pkg.tar.xz...
Checking keyring...
Checking integrity...
Loading packages files...
Checking file conflicts...
Checking available disk space...
Running pre-transaction hooks...
Save Linux kernel modules
Upgrading babl (0.1.46-1 -> 0.1.46-2)...
Upgrading libnm (1.10.6-3 -> 1.10.8-1)...
Upgrading libnm-glib (1.10.6-3 -> 1.10.8-1)...
Upgrading linux414-virtualbox-host-modules (5.2.10-6 -> 5.2.12-1)...
In order to use the new version, reload all virtualbox modules manually.
Upgrading muffin (3.8.1-1 -> 3.8.1-1.1)...
Upgrading networkmanager (1.10.6-3 -> 1.10.8-1)...
Upgrading virtualbox (5.2.10-1 -> 5.2.12-1)...
Running post-transaction hooks...
Updating linux414 module dependencies...
Compiling GSettings XML schema files...
Updating icon theme caches...
Restore Linux kernel modules

==> Warning:
	 -> Kernel has been updated. Modules of the current kernel
	 -> have been backed up so you can continue to use your
	 -> computer. However, the new kernel will only work 
	 -> at next boot.
	
Reloading system manager configuration...
Creating system user accounts...
Reloading device manager configuration...
Arming ConditionNeedsUpdate...
Updating the desktop file MIME type cache...
Updating the MIME type database...
Transaction successfully finished.

[Testing Update] 2018-05-13 - FFMPEG v4.0, ZFS v0.7.9, Gamemode, Usual Updates
#15

@Pepito Please try vlc-nightly package, which is already at v3.0.3.


[Testing Update] 2018-05-13 - FFMPEG v4.0, ZFS v0.7.9, Gamemode, Usual Updates
#16

@Pepito Confirmed. Desktop panel is no longer showing in fullscreen mode when hovering mouse over timeline with vlc-nightly-3.0.3v20180512-1 in Xfce testing 5-13.


[Testing Update] 2018-05-13 - FFMPEG v4.0, ZFS v0.7.9, Gamemode, Usual Updates
#17

Sounds promising. I can’t test nightly myself but I was wondering if you’ve ever experienced any video flickering on timeline hover using other themes besides Adapta? Any instances where the mouse cursor would randomly disappear over the video output (default window mode)? Can you test these 2 items on nightly?


#18

I don’t really use other themes so I couldn’t say. But I’m pretty sure the mouse cursor is supposed to disappear during video playback.


#19

Yep sorry I failed to mention the normal way the mouse cursor is supposed to disappear after several seconds of inactivity on video hover…I was referring to abnormal instances where the cursor totally disappears the instant the active cursor hits any part of the video window and then reappears once the cursor actually exits the window – I’ve experienced this a couple times on the native skins (on all themes I think) after opening several videos in 1 vlc instance setting…sometimes the issue is replaced after the 5th open or 3rd open…it’s random abnormal behavior. (Could be a firejail issue as well idk.) Ironically, the custom skin I’m using doesn’t actually support the normal disappearance of the mouse cursor so I either shove it in the corner or onto the 2nd monitor.:slightly_smiling_face:


#20

I don’t remember seeing anything like that in vlc-nightly. But I call vlc to open a video and then close it when I’m done. Maybe your mouse just needs a good spanking? :smile_cat: